{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Main (backup)",
            "type": "debugpy",
            "request": "launch",
            "python": "${command:python.interpreterPath}",
            "program": "${workspaceFolder}/netports_name_fixer/main.py",
            "envFile": "${workspaceFolder}/netports_name_fixer/.env",
            "args": [
                "--env",
                "prod", // Read-only from prod
                "backup",
                "./main-configs",
                "spa3200-as03%",
            ],
            "console": "integratedTerminal",
            "justMyCode": true
        },
        {
            "name": "Main (create_demo_data)",
            "type": "debugpy",
            "request": "launch",
            "python": "${command:python.interpreterPath}",
            "program": "${workspaceFolder}/netports_name_fixer/main.py",
            "envFile": "${workspaceFolder}/netports_name_fixer/.env",
            "args": [
                "--env",
                "acc",
                "create_demo_data",
                "./main-configs",
            ],
            "console": "integratedTerminal",
            "justMyCode": true
        },
        {
            "name": "Main (restore)",
            "type": "debugpy",
            "request": "launch",
            "python": "${command:python.interpreterPath}",
            "program": "${workspaceFolder}/netports_name_fixer/main.py",
            "envFile": "${workspaceFolder}/netports_name_fixer/.env",
            "args": [
                "--env",
                "acc",
                "restore",
                "./main-configs",
                "spa3200-as03%",
                "SPA3.2.0.0.%"
            ],
            "console": "integratedTerminal",
            "justMyCode": true
        }
    ]
}
